<?php

namespace Lc\ShopBundle\Model;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;
use Lc\ShopBundle\Context\StatusInterface;

trait ReductionTrait
{
        /**
         * @ORM\Column(type="datetime", nullable=true)
         */
        protected $dateStart;

        /**
         * @ORM\Column(type="datetime", nullable=true)
         */
        protected $dateEnd;

        /**
         * @ORM\Column(type="float", nullable=true)
         */
        protected $value;

        /**
         * @ORM\Column(type="string", length=20, nullable=true)
         */
        protected $unit;

        /**
         * @ORM\Column(type="string", length=20, nullable=true)
         */
        protected $behaviorTaxRate;

        /**
         * @ORM\Column(type="boolean")
         */
        protected $permanent;



        public function getDateStart(): ?\DateTimeInterface
        {
                return $this->dateStart;
        }

        public function setDateStart(?\DateTimeInterface $dateStart): self
        {
                $this->dateStart = $dateStart;

                return $this;
        }

        public function getDateEnd(): ?\DateTimeInterface
        {
                return $this->dateEnd;
        }

        public function setDateEnd(?\DateTimeInterface $dateEnd): self
        {
                $this->dateEnd = $dateEnd;

                return $this;
        }

        public function getValue(): ?float
        {
                return $this->value;
        }

        public function setValue(?float $value): self
        {
                $this->value = $value;

                return $this;
        }

        public function getUnit(): ?string
        {
                return $this->unit;
        }

        public function setUnit(?string $unit): self
        {
                $this->unit = $unit;

                return $this;
        }

        public function getBehaviorTaxRate(): ?string
        {
                return $this->behaviorTaxRate;
        }

        public function setBehaviorTaxRate(?string $behaviorTaxRate): self
        {
                $this->behaviorTaxRate = $behaviorTaxRate;

                return $this;
        }

        public function getPermanent(): ?bool
        {
                return $this->permanent;
        }

        public function setPermanent(bool $permanent): self
        {
                $this->permanent = $permanent;

                return $this;
        }

}
